Bug 225633 - StackOverflowError at java.io.File.<init>
StackOverflowError at java.io.File.<init>
Status: VERIFIED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
7.3
All All
: P2 (vote)
: 7.3.1
Assigned To: Vladimir Kvashin
issues@cnd
EXCEPTIONS_REPORT, 73patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-01 12:17 UTC by Alexander Simon
Modified: 2013-03-18 14:53 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (100.44 KB, text/plain)
2013-02-01 12:17 UTC, Alexander Simon
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Simon 2013-02-01 12:17:38 UTC
Build: NetBeans IDE Dev (Build 20130201-52f7eca05e7c)
VM: Java HotSpot(TM) Client VM, 23.6-b04, Java(TM) SE Runtime Environment, 1.7.0_11-b21
OS: SunOS

User Comments:
alexvsimon: add to favorites folder




Stacktrace: 
java.lang.StackOverflowError
   at java.io.File.<init>(File.java:337)
   at org.netbeans.modules.remote.impl.fs.RemoteDirectory.getStorageFile(RemoteDirectory.java:1396)
   at org.netbeans.modules.remote.impl.fs.RemoteDirectory.getDirectoryStorageImpl(RemoteDirectory.java:861)
   at org.netbeans.modules.remote.impl.fs.RemoteDirectory.getDirectoryStorage(RemoteDirectory.java:463)
   at org.netbeans.modules.remote.impl.fs.RemoteDirectory.getFileObject(RemoteDirectory.java:322)
   at org.netbeans.modules.remote.impl.fs.RemoteDirectory.getFileObject(RemoteDirectory.java:280)
Comment 1 Alexander Simon 2013-02-01 12:17:41 UTC
Created attachment 130929 [details]
stacktrace
Comment 2 Alexander Simon 2013-02-06 10:23:05 UTC
Vladimir, please evaluate as stopper for 7.3
Comment 3 Vladimir Kvashin 2013-02-06 12:00:33 UTC
Can you repeat this? Any hint on how to reproduce? What did you add to favorites?
Comment 4 Alexander Simon 2013-02-06 13:12:07 UTC
There is no steps to reproduce.
I added remote root to favorites.
It is twice-told tale.
The anti-loop paradigm must be applied in any recursive method.
Otherwise stack overflow will be reproduced again and again.
Comment 5 Vladimir Kvashin 2013-03-12 16:55:21 UTC
A workaround pushed into cnd-main:
http://hg.netbeans.org/cnd-main/rev/d38d08ed23b4

The workaround should get to patch, so I created a new issue 227368 instead of downgrading this щту
Comment 6 Alexander Pepin 2013-03-13 14:28:23 UTC
verified in trunk build
Comment 7 Quality Engineering 2013-03-14 21:10:31 UTC
Integrated into 'releases', will be available in build *201303141828* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/328f1ad26b79
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: workaround for #225633
(transplanted from d38d08ed23b433dde9aabaa02da493654959bdf0)
Comment 8 Alexander Pepin 2013-03-18 14:53:50 UTC
verified in 7.3 build 20130317


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo